%global install_loc           %{_datadir}/eclipse/dropins
%global qualifier             v$(date +%G%m%d%H%M)

Name:           eclipse-webtools
Version:        3.7.0
Release:        1%{?dist}
Summary:        Eclipse Webtools Projects

License:        EPL
URL:            http://www.eclipse.org/webtools/
BuildArch:      noarch

# git clone git://git.eclipse.org/gitroot/webtools/webtools.releng.aggregator.git
# pushd webtools.releng.aggregator && git checkout R3_7_0
# git submodule init && git submodule update
# pushd webtools.webservices.jaxws && git co R3_7_0 && popd
# git commit -am "Update webtools.webservices.jaxws to correct tag"
# popd
# find webtools.releng.aggregator/ -name *.jar -type f -delete
# find webtools.releng.aggregator/ -name *.class -type f -delete
# find webtools.releng.aggregator/ -name *.zip -type f -delete
# rm -rf webtools.releng.aggregator/webtools.releng/releng.wtptools/api/org.eclipse.wtp.releng.wtpbuilder/
# mkdir eclipse-webtools-3.7.0/ && pushd webtools.releng.aggregator
# cp -R pom.xml webtools.* wtp-parent/ ../eclipse-webtools-3.7.0/ && popd
# tar cfJv eclipse-webtools-3.7.0.tar.xz eclipse-webtools-3.7.0/
Source0:        %{name}-%{version}.tar.xz

# Missing plugin (maybe this should be provided by eclipselink package in future)
Source1:        http://git.eclipse.org/c/eclipselink/eclipselink.runtime.git/snapshot/eclipselink.runtime-7816e2b523adf5e65ad0c245f13ca4b59ff329f2.tar.bz2

# Remove org.mozilla.javascript bundle from jsdt feature
Patch0:         %{name}-rm-moz-js-from-jsdt-feature.patch

# Remove org.mozilla.javascript.source bundle from jsdt source feature
Patch1:         %{name}-rm-moz-js-src-from-jsdt-src-feature.patch

# Remove bundles org.eclipse.persistence.moxy and
# org.eclipse.jpt.jaxb.eclipselink.core.schemagen from
# webtools.dali/jaxb/features/org.eclipse.jpt.jaxb.eclipselink.feature/feature.xml
Patch2:         %{name}-rm-unavailable-plugins-from-jaxb-eclipselink-feature.patch

# Dont limit version of javax.wsdl in
# webtools.webservices/features/org.eclipse.wst.ws_wsdl15.feature/feature.xml
Patch3:         %{name}-rm-javax.wsdl-version-check-from-wsdl15-feature.patch

# Remove version checks from
# webtools.sourceediting/features/org.eclipse.wst.xml_core.feature/feature.xml
Patch4:         %{name}-rm-version-checks-from-xml_core-feature.patch

# Remove version checks of org.jdom, javax.wsdl, and
# disable javax.jws, javax.xml.stream and javax.xml.ws from
# webtools.webservices.jaxws/features/org.eclipse.jst.ws.cxf.feature/feature.xml
Patch5:         %{name}-rm-version-checks-and-obstacle-bundles-from-jst.ws.cxf-feature.patch

# Remove version checks of org.apache.commons.logging, org.apache.log4j, javax.xml.soap,
# and disable javax.mail from
# webtools.webservices/features/org.eclipse.wst.ws_core.feature/feature.xml
Patch7:         %{name}-wst.ws_core.feature.patch

# Remove org.eclipse.jetty.webapp and org.eclipse.jetty.xml from
# webtools.servertools/features/org.eclipse.wst.server_adapters.feature/feature.xml
Patch8:         %{name}-rm-jetty-webapp-and-xml-from-server_adapters-feature.patch

# Disable org.apache.commons.logging, org.apache.bcel, java_cup.runtime, org.apache.log4j,
# from webtools.sourceediting.xsl/features/org.eclipse.wst.xsl.feature/feature.xml
Patch9:         %{name}-wst.xsl.feature.patch 

# Fix xerces api change (a method needs to return a String)
Patch11:         %{name}-xerces-api-change.patch

# Add unimplemented methods for javax.wsdl
# Upstream bug: https://bugs.eclipse.org/bugs/show_bug.cgi?id=265772
Patch12:         0001-Implement-missing-methods-needed-for-WSDL4J-1.6.2.patch

# fix to work with fedora packaged xerces-j2 (more up-to-date)
Patch13:         %{name}-xerces-j2-api-change.patch

# Hashtable API change in Java 8
Patch14:         %{name}-hashtable-api-change.patch

# Import javax.servlet, rather than Require-Bundle
Patch17:         %{name}-wst.server.preview-manifest.patch

# Remove version check for javax.persistence
Patch18:        %{name}-javax.persistence-version.patch

# Type mismatch: cannot convert from Constructor<?>[] to Constructor<T>[]
Patch19:        %{name}-org.eclipse.jpt.common.utility-reflection-api-change.patch

# The type DriverWrapper must implement the inherited abstract method Driver.getParentLogger()
Patch20:        %{name}-org.eclipse.jpt.common.utility-sql-api-change.patch

# Remove more version checks
Patch23:        %{name}-rm-version-checks-from-jst.ws.jaxws-feature.patch

BuildRequires:  maven-local
BuildRequires:  git
BuildRequires:  eclipse-license
BuildRequires:  mvn(log4j:log4j:12)
BuildRequires:  mvn(org.eclipse.tycho:tycho-maven-plugin)
BuildRequires:  mvn(org.eclipse.tycho.extras:tycho-p2-extras-plugin)
BuildRequires:  mvn(org.eclipse.persistence:javax.persistence)
BuildRequires:  mvn(org.apache.logging.log4j:log4j:pom:)
BuildRequires:  mvn(org.apache.commons:commons-logging)
BuildRequires:  osgi(org.apache.axis)
BuildRequires:  osgi(org.apache.wsil4j)
BuildRequires:  osgi(org.eclipse.jdt.core)
BuildRequires:  osgi(org.eclipse.emf.edit.ui)
BuildRequires:  osgi(javax.wsdl)
BuildRequires:  osgi(org.eclipse.gef)
BuildRequires:  osgi(org.eclipse.emf)
BuildRequires:  osgi(org.eclipse.xsd)
BuildRequires:  osgi(org.jdom)
BuildRequires:  osgi(javax.xml)
BuildRequires:  osgi(javax.xml.bind)
BuildRequires:  osgi(javax.mail-api)
BuildRequires:  osgi(javax.servlet)
BuildRequires:  osgi(javax.wsdl)
BuildRequires:  osgi(org.eclipse.test.performance)
BuildRequires:  osgi(org.eclipse.jetty.http)
BuildRequires:  osgi(org.eclipse.jetty.webapp)
BuildRequires:  osgi(org.mozilla.javascript)
BuildRequires:  osgi(java_cup.runtime)
BuildRequires:  osgi(org.eclipse.datatools.connectivity)
BuildRequires:  osgi(org.jboss.spec.javax.servlet.jboss-servlet-api_3.0_spec)

%description
Eclipse Webtools. This contains sub-packages for different sub-projects
of Eclipse Webtools project, including Server Tools, SourceEditing Tools,
Webservices Tools, Java EE Tools, JSF Tools, and Dali (JPA) Tools. 

%package        common-core
Summary:        WST Common Core

%description common-core
WST common core functionality.

%package        common
Summary:        WST Common UI and Faceted Project Framework
Provides:       eclipse-wtp-common = %{version}-%{release}
Obsoletes:      eclipse-wtp-common <= 3.5.1-3

%description common
This package includes WST common UI functionality, and faceted projects framework

The Faceted Project Framework allows the plugin developer to think of projects
as composed of units of functionality, otherwise known as facets, that can be
added and removed by the user.

%package        servertools-core
Summary:        WST Server Core

%description servertools-core
Eclipse Webtools Server tools framework core.

%package        servertools
Summary:        Eclipse Server Tools Framework
Provides:       eclipse-wtp-servertools = %{version}-%{release}
Obsoletes:      eclipse-wtp-servertools <= 3.5.1-3
Requires:       tomcat-servlet-3.1-api

%description servertools
This package includes Server tools framework UI, and adapters for use
with the WST and JST server tools.

%package        sourceediting
Summary:        Eclipse Web Developer, XML, XPath, and XSL Tools
Provides:       eclipse-wtp-sourceediting = %{version}-%{release}
Obsoletes:      eclipse-wtp-sourceediting <= 3.5.1-5

%description sourceediting
Eclipse Web Developer Tools, including HTML, CSS, XHTML, etc.

XML, DTD and XML Schema Editors, validators, and XML Catalog support

PscyhoPath XPath 2.0 Processor Feature

XSLT Editor, validator, launching and debugging support

JavaScript Development Tools

%package        webservices
Summary:        Eclipse Web Services Tools
Provides:       eclipse-wtp-webservices = %{version}-%{release}
Obsoletes:      eclipse-wtp-webservices <= 3.5.1-4

%description webservices
Eclipse Web Services Tools, featuring the Web Services
Explorer, WSDL Editor, WS-I Validator, Service Policy Preferences, and
more.

%package        javaee
Summary:        Eclipse Java EE Developer Tools
Provides:       eclipse-wtp-jeetools = %{version}-%{release}
Obsoletes:      eclipse-wtp-jeetools <= 3.5.1-4

%description javaee
Eclipse Java EE Developer Tools including APIs and models for working
with JavaServer Pages (JSP) and the creation of Dynamic Web Projects.

%package        jsf
Summary:        Eclipse Web Tools Platform JavaServer Faces (JSF) Tools
Provides:       eclipse-wtp-jsf = %{version}-%{release}
Obsoletes:      eclipse-wtp-jsf <= 3.5.1-4
Obsoletes:      eclipse-wtp-jsf-sdk <= 3.5.1-4

%description jsf
Eclipse Web Tools Platform JavaServer Faces Tools, including
Web Page Editor and Tag Library Metadata (Apache Trinidad).

%package        dali
Summary:        Eclipse Dali Java Persistence (JPA) Tools
Provides:       eclipse-wtp-jpa = %{version}-%{release}
Obsoletes:      eclipse-wtp-jpa <= 3.5.1-3
Obsoletes:      eclipse-wtp-jpa-sdk <= 3.5.1-3

%description dali
Dali Java Persistence Tools with JPA and JAXB Support.

%prep
%setup -q

tar xfj %{SOURCE1}
pushd eclipselink.runtime-7816e2b523adf5e65ad0c245f13ca4b59ff329f2/
cp -r jpa/org.eclipse.persistence.jpa.jpql/ ../webtools.dali/jpa/plugins/
popd
rm -r eclipselink.runtime-7816e2b523adf5e65ad0c245f13ca4b59ff329f2/

find -name *.class -type f -delete
find -name *.jar -type f -delete
find -name *.zip -type f -delete

# Configure org.eclipse.persistence.jpa.jpql to be built as part of this build
%pom_xpath_inject pom:project/pom:modules \
    "<module>jpa/plugins/org.eclipse.persistence.jpa.jpql</module>" webtools.dali
%pom_set_parent org.eclipse.webtools.dali:org.eclipse.webtools.dali:3.4.0-SNAPSHOT \
    webtools.dali/jpa/plugins/org.eclipse.persistence.jpa.jpql
%pom_xpath_inject pom:project/pom:parent "<relativePath>../../../</relativePath>" \
    webtools.dali/jpa/plugins/org.eclipse.persistence.jpa.jpql

# Find and delete any hidden jar or zip files
find -type f -name *.jar -delete
find -type f -name *.zip -delete

# Jetty API change
sed -i -e "s/MimeTypes.TEXT_HTML/MimeTypes.Type.TEXT_HTML.toString()/" \
    webtools.servertools/plugins/org.eclipse.wst.server.preview/src/org/eclipse/wst/server/preview/internal/WTPDefaultHandler.java

# Build useless jar that is needed to build but does nothing
# See http://dev.eclipse.org/mhonarc/lists/wtp-dev/msg08607.html
# and PERFMSR.README.txt in org.eclipse.perfmsr.core.stub/
if [[ -e /usr/lib64/eclipse ]]; then
    CORE_RUNTIME_JAR=`ls /usr/lib64/eclipse/plugins/org.eclipse.core.runtime_*`
else
    CORE_RUNTIME_JAR=`ls /usr/lib/eclipse/plugins/org.eclipse.core.runtime_*`
fi
pushd webtools.common/plugins/org.eclipse.jem.util/org.eclipse.perfmsr.core.stub/src
    javac -cp $(build-classpath felix/org.osgi.core):${CORE_RUNTIME_JAR} \
        org/eclipse/perfmsr/core/*.java
    jar cf ../perfmsr.jar org/
popd

# Remove problematic org.eclipse.license stuff
find -name feature.xml -type f -exec sed -i \
    -e "s/license-feature-version=.*>/>/g" \
    -e "s/.*license.*//g" {} \;

# Fix OSGi headers in manifests
## Remove some version ranges
## Don't Require-Bundle stuff provided by JDK
find -name MANIFEST.MF \
    -exec sed -i \
        -e "s/\(javax.wsdl\);bundle-version=..[0-9\.]\+,[0-9\.]\+../\1/g" \
        -e "s/\(javax.xml.soap\);.*,/\1,/" \
        -e "s/javax.jws;.*//" \
        -e "s/javax.xml.ws.*;version=.*,\?//" \
        -e "s/javax.xml.bind.*,\?$//g" \
        -e "s/\(org.eclipse.jetty.*\);bundle-version=..[0-9\.]\+,[0-9\.]\+../\1/g" \
        -e "s/org.junit;.*,/org.junit,/g" \
    {} \;

# Fix some specifics that the above breaks
sed -i -e "s/\(org.eclipse.jdt.apt.core;.*\),/\1/" \
    webtools.webservices.jaxws/bundles/org.eclipse.jst.ws.cxf.creation.ui/META-INF/MANIFEST.MF
sed -i -e "s/\(org.eclipse.jdt.apt.core;.*\),/\1/" \
    webtools.webservices.jaxws/bundles/org.eclipse.jst.ws.cxf.creation.core/META-INF/MANIFEST.MF
sed -i -e "s/Import-Package:\s*$//" \
    webtools.dali/jaxb/plugins/org.eclipse.jpt.jaxb.core.schemagen/META-INF/MANIFEST.MF
find -name MANIFEST.MF -exec sed -i -e "/^$/d" {} \;

# Make sure that axis-ant is required also. This is needed because of the not nice way
# that Eclipse consumes Axis, from that strange wrapper bundle in "Orbit" repository.
sed -i -e "s/org.apache.axis/org.apache.axis.tools,org.apache.axis/g" \
    webtools.webservices/bundles/org.eclipse.jst.ws.axis.consumption.core/META-INF/MANIFEST.MF

# Remove unavailable optional bundle from manifest
sed -i -e "s/^.*update.core.*$//" -e "/^$/d" \
    webtools.servertools/plugins/org.eclipse.wst.server.core/META-INF/MANIFEST.MF

%pom_disable_module webtools.releng
%pom_disable_module webtools.repositories
%pom_disable_module webtools.javaee.tests
%pom_disable_module webtools.sourceediting.xsl.tests
%pom_disable_module webtools.sourceediting.xpath.tests
%pom_disable_module assembly/features/org.eclipse.jpt.assembly.feature webtools.dali
%pom_disable_module assembly/features/org.eclipse.jpt_sdk.assembly.feature webtools.dali
%pom_disable_module assembly/features/org.eclipse.jpt.tests.assembly.feature webtools.dali
%pom_disable_module jpa/features/org.eclipse.jpt.jpa.eclipselink.feature webtools.dali
%pom_disable_module jpa/features/org.eclipse.jpt.jpa.eclipselink_sdk.feature webtools.dali
%pom_disable_module jpa/features/org.eclipse.jpt.jpa.eclipselink.tests.feature webtools.dali
%pom_disable_module jpa/plugins/org.eclipse.jpt.jpa.eclipselink.core.ddlgen webtools.dali
%pom_disable_module jpa/features/org.eclipse.jpt.jpa.tests.feature webtools.dali
%pom_disable_module jpa/tests/org.eclipse.jpt.jpa.core.tests webtools.dali
%pom_disable_module jpa/tests/org.eclipse.jpt.jpa.core.tests.extension.resource webtools.dali
%pom_disable_module jpa/tests/org.eclipse.jpt.jpa.eclipselink.core.tests webtools.dali
%pom_disable_module jaxb/features/org.eclipse.jpt.dbws.eclipselink_sdk.feature webtools.dali
%pom_disable_module jaxb/features/org.eclipse.jpt.jaxb.eclipselink_sdk.feature webtools.dali
%pom_disable_module jaxb/features/org.eclipse.jpt.dbws.eclipselink.feature webtools.dali
%pom_disable_module jaxb/plugins/org.eclipse.jpt.dbws.eclipselink.branding webtools.dali
%pom_disable_module jaxb/plugins/org.eclipse.jpt.dbws.eclipselink.core.gen webtools.dali
%pom_disable_module jaxb/plugins/org.eclipse.jpt.dbws.eclipselink.ui webtools.dali
%pom_disable_module jaxb/plugins/org.eclipse.jpt.jaxb.eclipselink.core.schemagen webtools.dali
%pom_disable_module jaxb/tests/org.eclipse.jpt.jaxb.eclipselink.core.tests webtools.dali
%pom_disable_module jaxb/tests/org.eclipse.jpt.jaxb.core.tests webtools.dali
%pom_disable_module jaxb/features/org.eclipse.jpt.jaxb.eclipselink.tests.feature webtools.dali
%pom_disable_module jaxb/features/org.eclipse.jpt.jaxb_sdk.feature webtools.dali
%pom_disable_module jaxb/features/org.eclipse.jpt.jaxb.tests.feature webtools.dali
%pom_disable_module jpa_diagram_editor/development/org.eclipse.jpt.jpadiagrameditor.repository webtools.dali
%pom_disable_module jpa_diagram_editor/features/org.eclipse.jpt.jpadiagrameditor.feature webtools.dali
%pom_disable_module jpa_diagram_editor/features/org.eclipse.jpt.jpadiagrameditor_sdk.feature webtools.dali
%pom_disable_module jpa_diagram_editor/features/org.eclipse.jpt.jpadiagrameditor.tests.feature webtools.dali
%pom_disable_module jpa_diagram_editor/plugins/org.eclipse.jpt.jpadiagrameditor.branding webtools.dali
%pom_disable_module jpa_diagram_editor/plugins/org.eclipse.jpt.jpadiagrameditor.doc.user webtools.dali
%pom_disable_module jpa_diagram_editor/plugins/org.eclipse.jpt.jpadiagrameditor.ui webtools.dali
%pom_disable_module jpa_diagram_editor/tests/org.eclipse.jpt.jpadiagrameditor.ui.tests webtools.dali
%pom_disable_module tests webtools.jsdt
%pom_disable_module org.eclipse.wst.jsdt_tests.feature webtools.jsdt/features
%pom_disable_module tests/org.eclipse.jst.ws.cxf.tests webtools.webservices.jaxws
%pom_disable_module tests/org.eclipse.jst.ws.jaxb.core.tests webtools.webservices.jaxws
%pom_disable_module tests/org.eclipse.jst.ws.jaxws.core.tests webtools.webservices.jaxws
%pom_disable_module tests/org.eclipse.jst.ws.jaxws.dom.integration.tests webtools.webservices.jaxws
%pom_disable_module tests/org.eclipse.jst.ws.jaxws.dom.runtime.tests webtools.webservices.jaxws
%pom_disable_module tests/org.eclipse.jst.ws.jaxws.dom.ui.tests webtools.webservices.jaxws
%pom_disable_module tests/org.eclipse.jst.ws.jaxws.testutils webtools.webservices.jaxws
%pom_disable_module tests/org.eclipse.jst.ws.jaxws.utils.tests webtools.webservices.jaxws
%pom_disable_module tests/org.jmock webtools.webservices.jaxws
%pom_disable_module features/org.eclipse.jst.ws.cxf_tests.feature webtools.webservices.jaxws
%pom_disable_module features/org.eclipse.jst.ws.jaxws.assembly_tests.feature webtools.webservices.jaxws
%pom_disable_module features/org.eclipse.jst.ws.jaxws.dom_tests.feature webtools.webservices.jaxws
%pom_disable_module features/org.eclipse.jst.ws.jaxws_tests.feature webtools.webservices.jaxws
%pom_disable_module tests/org.eclipse.jst.ejb.ui.tests webtools.ejb

%pom_xpath_remove pom:project/pom:build/pom:plugins/pom:plugin/pom:configuration \
    webtools.webservices.jaxws/bundles/org.eclipse.jst.ws.jaxws.core
%pom_xpath_remove pom:project/pom:build/pom:plugins/pom:plugin/pom:configuration \
    webtools.webservices.jaxws/bundles/org.eclipse.jst.ws.jaxws.ui
%pom_xpath_remove pom:project/pom:build/pom:plugins/pom:plugin/pom:configuration \
    webtools.webservices.jaxws/tests/org.eclipse.jst.ws.jaxws.core.tests

%pom_xpath_inject pom:project/pom:build/pom:plugins/pom:plugin/pom:executions/pom:execution/pom:configuration/pom:excludes \
    "<plugin id=\"org.jdom\"/><plugin id=\"javax.wsdl\"/>" webtools.webservices.jaxws/features/org.eclipse.jst.ws.cxf.feature
%pom_xpath_inject pom:project/pom:build/pom:plugins/pom:plugin/pom:executions/pom:execution/pom:configuration/pom:excludes \
    "<plugin id=\"org.jdom\"/><plugin id=\"javax.wsdl\"/>" webtools.webservices.jaxws/features/org.eclipse.jst.ws.jaxws.feature

# Undo global replacement from earlier in prep, so upstream patch can be
# applied more completely
sed -i -e "s/javax.wsdl/javax.wsdl;bundle-version=\"[1.5.0,1.6.0)\"/" \
   webtools.webservices/bundles/org.eclipse.wst.wsdl/META-INF/MANIFEST.MF

%patch0 -p0 -b .orig
%patch1 -p0 -b .orig
%patch2 -p0 -b .orig
%patch3 -p0 -b .orig
%patch4 -p0 -b .orig
%patch5 -p0 -b .orig
%patch7 -p0 -b .orig
%patch8 -p0 -b .orig
%patch9 -p0 -b .orig
%patch11 -p0 -b .orig
%patch12 -p0 -b .orig
%patch13 -p0 -b .orig
%patch14 -p0 -b .orig
%patch17 -p0 -b .orig
%patch18 -p0 -b .orig
%patch19 -p0 -b .orig
%patch20 -p0 -b .orig
%patch23 -p0 -b .orig

# TODO: Needs to be a git repo for tycho
find -maxdepth 4 -name .git -type f -delete
git init
git config user.email "eclipse-webtools@fedoraproject.org"
git config user.name "Eclipse Web Tools Package"
git add .
git commit -m "Commit all the things for tycho"

%pom_xpath_set pom:project/pom:build/pom:pluginManagement/pom:plugins/pom:plugin/pom:configuration/pom:sourceReferences/pom:generate "false" wtp-parent

# Skipping tests because of missing test dependencies & removed bundled jars
%build
%mvn_build -j -f -- -DforceContextQualifier=%{qualifier}

%install
for pkg in common-core common servertools-core servertools sourceediting webservices javaee jsf dali
do
    install -d -m 755 %{buildroot}%{install_loc}/webtools-${pkg}/eclipse/features
    install -d -m 755 %{buildroot}%{install_loc}/webtools-${pkg}/eclipse/plugins
done

# Common core features
for f in webtools.common/features/org.eclipse.wst.common_core.feature \
         webtools.common.fproj/features/org.eclipse.wst.common.fproj.feature \
         webtools.common.fproj/features/org.eclipse.jst.common.fproj.enablement.jdt.feature
do
    _feature=$(echo ${f} | sed -e "s|.*/org|org|g")
    mkdir %{buildroot}%{install_loc}/webtools-common-core/eclipse/features/${_feature}
    unzip -q -o -d %{buildroot}%{install_loc}/webtools-common-core/eclipse/features/${_feature} \
        ${f}/target/*-SNAPSHOT.jar
done

# Common core plugins
for p in webtools.common/plugins/org.eclipse.wst.common.emfworkbench.integration \
              webtools.common/plugins/org.eclipse.wst.common.emf \
              webtools.common/plugins/org.eclipse.wst.common.environment \
              webtools.common/plugins/org.eclipse.wst.common.frameworks \
              webtools.common/plugins/org.eclipse.wst.common.modulecore \
              webtools.common/plugins/org.eclipse.wst.common.uriresolver \
              webtools.common/plugins/org.eclipse.wst.validation \
              webtools.common/plugins/org.eclipse.wst.common.core \
              webtools.common/plugins/org.eclipse.jem.util \
              webtools.common.fproj/plugins/org.eclipse.jst.common.project.facet.core \
              webtools.common.fproj/plugins/org.eclipse.jst.common.project.facet.ui \
              webtools.common.fproj/plugins/org.eclipse.wst.common.project.facet.core \
              webtools.common.fproj/plugins/org.eclipse.wst.common.project.facet.ui
do
    if [[ -d ${p}/target ]]; then
        install -p ${p}/target/*-SNAPSHOT.jar \
            %{buildroot}%{install_loc}/webtools-common-core/eclipse/plugins
    fi
done

# Servertools core feature
mkdir %{buildroot}%{install_loc}/webtools-servertools-core/eclipse/features/org.eclipse.wst.server_core.feature
unzip -q -o -d %{buildroot}%{install_loc}/webtools-servertools-core/eclipse/features/org.eclipse.wst.server_core.feature \
    webtools.servertools/features/org.eclipse.wst.server_core.feature/target/*-SNAPSHOT.jar

# Servertools core plugins
for p in webtools.servertools/plugins/org.eclipse.wst.server.core \
              webtools.servertools/plugins/org.eclipse.wst.internet.monitor.core
do
    if [[ -d ${p}/target ]]; then
        install -p ${p}/target/*-SNAPSHOT.jar \
            %{buildroot}%{install_loc}/webtools-servertools-core/eclipse/plugins
    fi
done

# Common features
for f in webtools.common/features/org.eclipse.wst.common_ui.feature
do
    _feature=$(echo ${f} | sed -e "s|.*/org|org|g")
    mkdir %{buildroot}%{install_loc}/webtools-common/eclipse/features/${_feature}
    unzip -q -o -d %{buildroot}%{install_loc}/webtools-common/eclipse/features/${_feature} \
        ${f}/target/*-SNAPSHOT.jar
done

# Common plugins
for p in webtools.common/plugins/org.eclipse.wst.common.frameworks.ui \
              webtools.common/plugins/org.eclipse.wst.common.infopop \
              webtools.common.snippets/org.eclipse.wst.common.snippets \
              webtools.common/plugins/org.eclipse.wst.common.ui \
              webtools.common/plugins/org.eclipse.wst.common.modulecore.ui \
              webtools.common/plugins/org.eclipse.wst.internet.cache \
              webtools.common/plugins/org.eclipse.wst.validation.ui \
              webtools.common/docs/org.eclipse.wst.validation.infopop
do
    if [[ -d ${p}/target ]]; then
        install -p ${p}/target/*-SNAPSHOT.jar \
            %{buildroot}%{install_loc}/webtools-common/eclipse/plugins
    fi
done

# Servertools features
for f in webtools.servertools/features/org.eclipse.wst.server_userdoc.feature \
         webtools.servertools/features/org.eclipse.wst.server_ui.feature \
         webtools.servertools/features/org.eclipse.wst.server_adapters.feature \
         webtools.servertools/features/org.eclipse.jst.server_adapters.feature \
         webtools.servertools/features/org.eclipse.jst.server_adapters.ext.feature \
         webtools.servertools/features/org.eclipse.jst.server_ui.feature \
         webtools.servertools/features/org.eclipse.jst.server_userdoc.feature
do
    _feature=$(echo ${f} | sed -e "s|.*/org|org|g")
    mkdir %{buildroot}%{install_loc}/webtools-servertools/eclipse/features/${_feature}
    unzip -q -o -d %{buildroot}%{install_loc}/webtools-servertools/eclipse/features/${_feature} \
        ${f}/target/*-SNAPSHOT.jar
done

# Servertools plugins
for p in webtools.servertools/plugins/org.eclipse.wst.internet.monitor.ui \
              webtools.servertools/plugins/org.eclipse.wst.server.ui \
              webtools.servertools/plugins/org.eclipse.wst.server.discovery \
              webtools.servertools/plugins/org.eclipse.jst.server.preview.adapter \
              webtools.servertools/plugins/org.eclipse.jst.server.tomcat.core \
              webtools.servertools/plugins/org.eclipse.jst.server.tomcat.ui \
              webtools.servertools/plugins/org.eclipse.jst.server.generic.jonas \
              webtools.servertools/plugins/org.eclipse.wst.server.preview.adapter \
              webtools.servertools/plugins/org.eclipse.wst.server.preview \
              webtools.servertools/plugins/org.eclipse.wst.server.http.core \
              webtools.servertools/plugins/org.eclipse.wst.server.http.ui \
              webtools.servertools/plugins/org.eclipse.jst.server.core \
              webtools.servertools/plugins/org.eclipse.jst.server.generic.core \
              webtools.servertools/plugins/org.eclipse.jst.server.ui \
              webtools.servertools/plugins/org.eclipse.jst.server.generic.ui \
              webtools.servertools.docs/docs/org.eclipse.wst.server.ui.doc.user \
              webtools.servertools.docs/docs/org.eclipse.wst.server.ui.infopop \
              webtools.servertools.docs/docs/org.eclipse.jst.server.ui.infopop \
              webtools.servertools.docs/docs/org.eclipse.jst.server.ui.doc.user
do
    if [[ -d ${p}/target ]]; then
        install -p ${p}/target/*-SNAPSHOT.jar \
            %{buildroot}%{install_loc}/webtools-servertools/eclipse/plugins
    fi
done

%if 0%{?fedora} < 23
build-jar-repository -p -s %{buildroot}%{install_loc}/webtools-servertools/eclipse/plugins \
    jetty/jetty-webapp jetty/jetty-xml tomcat-servlet-3.0-api
%else
build-jar-repository -p -s %{buildroot}%{install_loc}/webtools-servertools/eclipse/plugins \
    jetty/jetty-webapp jetty/jetty-xml tomcat-servlet-3.1-api
%endif

# Sourceediting features
for f in webtools.sourceediting/features/org.eclipse.wst.xml_ui.feature \
         webtools.sourceediting/features/org.eclipse.wst.web_core.feature \
         webtools.sourceediting/features/org.eclipse.wst.xml_userdoc.feature \
         webtools.sourceediting/features/org.eclipse.wst.web_ui.feature \
         webtools.sourceediting/features/org.eclipse.wst.web_userdoc.feature \
         webtools.sourceediting/features/org.eclipse.wst.xml_core.feature \
         webtools.sourceediting.xpath/features/org.eclipse.wst.xml.xpath2.processor.feature \
         webtools.sourceediting.xsl/features/org.eclipse.wst.xsl.feature \
         webtools.jsdt/features/org.eclipse.wst.jsdt.feature
do
    _feature=$(echo ${f} | sed -e "s|.*/org|org|g")
    mkdir %{buildroot}%{install_loc}/webtools-sourceediting/eclipse/features/${_feature}
    unzip -q -o -d %{buildroot}%{install_loc}/webtools-sourceediting/eclipse/features/${_feature} \
        ${f}/target/*-SNAPSHOT.jar
done

# Sourceediting plugins
for p in webtools.jsdt/bundles/org.eclipse.wst.jsdt.core \
         webtools.jsdt/bundles/org.eclipse.wst.jsdt.manipulation \
         webtools.jsdt/bundles/org.eclipse.wst.jsdt.ui \
         webtools.jsdt/bundles/org.eclipse.wst.jsdt.support.firefox \
         webtools.jsdt/bundles/org.eclipse.wst.jsdt.support.ie \
         webtools.jsdt/bundles/org.eclipse.wst.jsdt.debug.core \
         webtools.jsdt/bundles/org.eclipse.wst.jsdt.debug.transport \
         webtools.jsdt/bundles/org.eclipse.wst.jsdt.debug.crossfire \
         webtools.jsdt/bundles/org.eclipse.wst.jsdt.debug.rhino \
         webtools.jsdt/bundles/org.eclipse.wst.jsdt.debug.rhino.debugger \
         webtools.jsdt/bundles/org.eclipse.wst.jsdt.debug.ui \
         webtools.jsdt/bundles/org.eclipse.wst.jsdt.debug.rhino.ui \
         webtools.jsdt/docs/org.eclipse.wst.jsdt.doc \
         webtools.sourceediting/bundles/org.eclipse.wst.standard.schemas \
         webtools.sourceediting/bundles/org.eclipse.wst.xml.core \
         webtools.sourceediting/bundles/org.eclipse.wst.css.core \
         webtools.sourceediting/bundles/org.eclipse.wst.html.core \
         webtools.sourceediting/bundles/org.eclipse.wst.dtd.core \
         webtools.sourceediting/bundles/org.eclipse.wst.xsd.core \
         webtools.sourceediting/bundles/org.eclipse.wst.sse.core \
         webtools.sourceediting/bundles/org.eclipse.wst.dtd.ui \
         webtools.sourceediting/docs/org.eclipse.wst.dtd.ui.infopop \
         webtools.sourceediting/docs/org.eclipse.wst.sse.ui.infopop \
         webtools.sourceediting/docs/org.eclipse.wst.xml.ui.infopop \
         webtools.sourceediting/bundles/org.eclipse.wst.sse.ui \
         webtools.sourceediting/bundles/org.eclipse.wst.xml.ui \
         webtools.sourceediting/bundles/org.eclipse.wst.xsd.ui \
         webtools.sourceediting/docs/org.eclipse.wst.dtdeditor.doc.user \
         webtools.sourceediting/docs/org.eclipse.wst.sse.doc.user \
         webtools.sourceediting/docs/org.eclipse.wst.xmleditor.doc.user \
         webtools.sourceediting/docs/org.eclipse.wst.xsdeditor.doc.user \
         webtools.sourceediting/docs/org.eclipse.wst.doc.user \
         webtools.sourceediting/docs/org.eclipse.wst.webtools.doc.user \
         webtools.sourceediting/bundles/org.eclipse.wst.jsdt.web.core \
         webtools.sourceediting/bundles/org.eclipse.wst.jsdt.web.ui \
         webtools.sourceediting/docs/org.eclipse.wst.html.ui.infopop \
         webtools.sourceediting/bundles/org.eclipse.wst.css.ui \
         webtools.sourceediting/bundles/org.eclipse.wst.html.ui \
         webtools.sourceediting.xpath/bundles/org.eclipse.wst.xml.xpath2.processor \
         webtools.sourceediting.xpath/bundles/org.eclipse.wst.xml.xpath2.wtptypes \
         webtools.sourceediting.xpath/bundles/org.eclipse.wst.xml.xpath2 \
         webtools.sourceediting.xpath/docs/org.eclipse.wst.xml.xpath2.processor.doc.user \
         webtools.sourceediting.xsl/bundles/org.eclipse.wst.xsl.core \
         webtools.sourceediting.xsl/bundles/org.eclipse.wst.xsl.debug.ui \
         webtools.sourceediting.xsl/bundles/org.eclipse.wst.xsl.launching \
         webtools.sourceediting.xsl/bundles/org.eclipse.wst.xsl.xalan \
         webtools.sourceediting.xsl/bundles/org.eclipse.wst.xsl.ui \
         webtools.sourceediting.xpath/bundles/org.eclipse.wst.xml.xpath.ui \
         webtools.sourceediting.xsl/docs/org.eclipse.wst.xsl.doc \
         webtools.sourceediting.xpath/bundles/org.eclipse.wst.xml.xpath.core \
         webtools.sourceediting.xsl/bundles/org.eclipse.wst.xsl.saxon \
         webtools.sourceediting.xsl/bundles/org.eclipse.wst.xsl \
         webtools.sourceediting.xsl/bundles/org.eclipse.wst.xsl.jaxp.debug \
         webtools.sourceediting.xsl/bundles/org.eclipse.wst.xsl.jaxp.debug.ui \
         webtools.sourceediting.xsl/bundles/org.eclipse.wst.xsl.jaxp.launching \
         webtools.sourceediting.xsl/bundles/org.eclipse.wst.xsl.exslt.core \
         webtools.sourceediting.xsl/bundles/org.eclipse.wst.xsl.exslt.ui \
         webtools.javaee/docs/org.eclipse.wst.web.ui.infopop \
         webtools.javaee/plugins/org.eclipse.wst.web.ui \
         webtools.javaee/plugins/org.eclipse.wst.web
do
    if [[ -d ${p}/target ]]; then
        install -p ${p}/target/*-SNAPSHOT.jar \
            %{buildroot}%{install_loc}/webtools-sourceediting/eclipse/plugins
    fi
done

build-jar-repository -p -s %{buildroot}%{install_loc}/webtools-sourceediting/eclipse/plugins \
    xml-commons-apis xml-resolver xalan-j2-serializer xalan-j2 xerces-j2 java_cup-runtime apache-commons-logging bcel log4j

# Webservices features
for f in webtools.webservices/features/org.eclipse.wst.ws_core.feature \
         webtools.webservices/features/org.eclipse.wst.ws_ui.feature \
         webtools.webservices/features/org.eclipse.wst.ws_userdoc.feature \
         webtools.webservices/features/org.eclipse.wst.ws_wsdl15.feature \
         webtools.webservices.jaxws/features/org.eclipse.jst.ws.cxf.feature \
         webtools.webservices.jaxws/features/org.eclipse.jst.ws.jaxws.assembly.feature \
         webtools.webservices.jaxws/features/org.eclipse.jst.ws.jaxws.dom.feature \
         webtools.webservices.jaxws/features/org.eclipse.jst.ws.jaxws.feature
do
    _feature=$(echo ${f} | sed -e "s|.*/org|org|g")
    mkdir %{buildroot}%{install_loc}/webtools-webservices/eclipse/features/${_feature}
    unzip -q -o -d %{buildroot}%{install_loc}/webtools-webservices/eclipse/features/${_feature} \
        ${f}/target/*-SNAPSHOT.jar
done

# Webservices plugins
for p in webtools.webservices/bundles/org.eclipse.wst.command.env \
         webtools.webservices/bundles/org.eclipse.wst.command.env.core \
         webtools.webservices/bundles/org.eclipse.wst.ws \
         webtools.webservices/bundles/org.eclipse.wst.ws.parser \
         webtools.webservices/bundles/org.eclipse.wst.wsdl \
         webtools.webservices/bundles/org.eclipse.wst.wsdl.validation \
         webtools.webservices/bundles/org.eclipse.wst.wsi \
         webtools.webservices/bundles/org.eclipse.wst.ws.service.policy \
         webtools.webservices/bundles/org.eclipse.wst.command.env.ui \
         webtools.webservices/docs/org.eclipse.wst.command.env.infopop \
         webtools.webservices/docs/org.eclipse.wst.ws.infopop \
         webtools.webservices/bundles/org.eclipse.wst.ws.explorer \
         webtools.webservices/bundles/org.eclipse.wst.ws.ui \
         webtools.webservices/bundles/org.eclipse.wst.wsdl.ui \
         webtools.webservices/bundles/org.eclipse.wst.wsi.ui \
         webtools.webservices/bundles/org.eclipse.wst.ws.service.policy.ui \
         webtools.webservices/docs/org.eclipse.wst.wsdl.ui.doc.user \
         webtools.webservices/docs/org.eclipse.wst.wsi.ui.doc.user \
         webtools.webservices/docs/org.eclipse.wst.command.env.doc.user \
         webtools.webservices.jaxws/bundles/org.eclipse.jst.ws.annotations.core \
         webtools.webservices.jaxws/bundles/org.eclipse.jst.ws.cxf.consumption.core \
         webtools.webservices.jaxws/bundles/org.eclipse.jst.ws.cxf.consumption.ui \
         webtools.webservices.jaxws/bundles/org.eclipse.jst.ws.cxf.core \
         webtools.webservices.jaxws/bundles/org.eclipse.jst.ws.cxf.creation.core \
         webtools.webservices.jaxws/bundles/org.eclipse.jst.ws.cxf.creation.ui \
         webtools.webservices.jaxws/bundles/org.eclipse.jst.ws.cxf.ui \
         webtools.webservices.jaxws/bundles/org.eclipse.jst.ws.jaxb.core \
         webtools.webservices.jaxws/bundles/org.eclipse.jst.ws.jaxws.core \
         webtools.webservices.jaxws/bundles/org.eclipse.jst.ws.jaxws.dom.integration \
         webtools.webservices.jaxws/bundles/org.eclipse.jst.ws.jaxws.dom.runtime \
         webtools.webservices.jaxws/bundles/org.eclipse.jst.ws.jaxws.dom.ui \
         webtools.webservices.jaxws/bundles/org.eclipse.jst.ws.jaxws.ui \
         webtools.webservices.jaxws/bundles/org.eclipse.jst.ws.jaxws.utils
do
    if [[ -d ${p}/target ]]; then
        install -p ${p}/target/*-SNAPSHOT.jar \
            %{buildroot}%{install_loc}/webtools-webservices/eclipse/plugins
    fi
done

build-jar-repository -p -s %{buildroot}%{install_loc}/webtools-webservices/eclipse/plugins \
    uddi4j wsdl4j wsil4j apache-commons-codec apache-commons-discovery javamail/javax.mail \
    axis/axis axis/axis-ant axis/jaxrpc axis/saaj

# Javaee features
for f in webtools.javaee/features/org.eclipse.jst.enterprise_core.feature \
         webtools.javaee/features/org.eclipse.jst.enterprise_ui.feature \
         webtools.javaee/features/org.eclipse.jst.enterprise_userdoc.feature \
         webtools.javaee/features/org.eclipse.jst.web_core.feature \
         webtools.javaee/features/org.eclipse.jst.web_ui.feature \
         webtools.javaee/features/org.eclipse.jst.doc.user.feature \
         webtools.javaee/features/org.eclipse.jst.web_userdoc.feature
do
    _feature=$(echo ${f} | sed -e "s|.*/org|org|g")
    mkdir %{buildroot}%{install_loc}/webtools-javaee/eclipse/features/${_feature}
    unzip -q -o -d %{buildroot}%{install_loc}/webtools-javaee/eclipse/features/${_feature} \
        ${f}/target/*-SNAPSHOT.jar
done

# Javaee plugins
for p in webtools.javaee/plugins/org.eclipse.jst.j2ee.webservice \
         webtools.ejb/plugins/org.eclipse.jst.j2ee.ejb \
         webtools.javaee/plugins/org.eclipse.jst.j2ee.jca \
         webtools.ejb/plugins/org.eclipse.jst.jee.ejb \
         webtools.ejb/docs/org.eclipse.jst.ejb.doc.user \
         webtools.javaee/docs/org.eclipse.jst.j2ee.doc.user \
         webtools.webservices/docs/org.eclipse.jst.ws.axis.ui.doc.user \
         webtools.webservices/docs/org.eclipse.jst.ws.consumption.ui.doc.user \
         webtools.webservices/docs/org.eclipse.jst.ws.doc.user \
         webtools.sourceediting/bundles/org.eclipse.wst.jsdt.web.support.jsp \
         webtools.javaee/plugins/org.eclipse.jst.common.annotations.ui \
         webtools.common/plugins/org.eclipse.jst.common.ui \
         webtools.sourceediting/bundles/org.eclipse.jst.jsp.ui \
         webtools.sourceediting/docs/org.eclipse.jst.jsp.ui.infopop \
         webtools.webservices/bundles/org.eclipse.jst.ws \
         webtools.javaee/plugins/org.eclipse.jst.j2ee.ui \
         webtools.webservices/bundles/org.eclipse.jst.ws.axis.creation.ui \
         webtools.webservices/bundles/org.eclipse.jst.ws.axis.consumption.ui \
         webtools.javaee/plugins/org.eclipse.jst.j2ee.jca.ui \
         webtools.javaee/plugins/org.eclipse.jst.j2ee.navigator.ui \
         webtools.javaee/plugins/org.eclipse.jst.j2ee.webservice.ui \
         webtools.webservices/bundles/org.eclipse.jst.ws.axis.consumption.core \
         webtools.javaee/plugins/org.eclipse.jst.servlet.ui \
         webtools.webservices/bundles/org.eclipse.jst.ws.ui \
         webtools.webservices/bundles/org.eclipse.jst.ws.uddiregistry \
         webtools.webservices/bundles/org.eclipse.jst.ws.creation.ui \
         webtools.webservices/bundles/org.eclipse.jst.ws.consumption.ui \
         webtools.webservices/bundles/org.eclipse.jst.ws.consumption \
         webtools.javaee/docs/org.eclipse.jst.j2ee.infopop \
         webtools.javaee/docs/org.eclipse.jst.servlet.ui.infopop \
         webtools.webservices/docs/org.eclipse.jst.ws.axis.infopop \
         webtools.webservices/docs/org.eclipse.jst.ws.consumption.infopop \
         webtools.webservices/docs/org.eclipse.jst.ws.infopop \
         webtools.webservices/bundles/org.eclipse.jst.ws.creation.ejb.ui \
         webtools.ejb/plugins/org.eclipse.jst.ejb.ui \
         webtools.ejb/plugins/org.eclipse.jst.j2ee.ejb.annotations.ui \
         webtools.ejb/plugins/org.eclipse.jst.j2ee.ejb.annotation.model \
         webtools.ejb/plugins/org.eclipse.jst.j2ee.ejb.annotations.emitter \
         webtools.ejb/plugins/org.eclipse.jst.j2ee.ejb.annotations.xdoclet \
         webtools.ejb/plugins/org.eclipse.jst.j2ee.xdoclet.runtime \
         webtools.javaee/plugins/org.eclipse.jst.jee.ui \
         webtools.ejb/docs/org.eclipse.jst.ejb.ui.infopop \
         webtools.webservices/bundles/org.eclipse.jst.ws.jaxrs.core \
         webtools.webservices/bundles/org.eclipse.jst.ws.jaxrs.ui \
         webtools.javaee/plugins/org.eclipse.jst.common.annotations.core \
         webtools.javaee/plugins/org.eclipse.jem.beaninfo.vm.common \
         webtools.javaee/plugins/org.eclipse.jem \
         webtools.javaee/plugins/org.eclipse.jem.beaninfo.vm \
         webtools.javaee/plugins/org.eclipse.jem.proxy \
         webtools.javaee/plugins/org.eclipse.jem.workbench \
         webtools.javaee/plugins/org.eclipse.jem.beaninfo \
         webtools.javaee/plugins/org.eclipse.jst.common.frameworks \
         webtools.javaee/plugins/org.eclipse.jst.common.annotations.controller \
         webtools.javaee/plugins/org.eclipse.jst.j2ee.web \
         webtools.sourceediting/bundles/org.eclipse.jst.jsp.core \
         webtools.javaee/plugins/org.eclipse.jst.j2ee.core \
         webtools.javaee/plugins/org.eclipse.jst.j2ee \
         webtools.javaee/plugins/org.eclipse.jst.jee \
         webtools.javaee/plugins/org.eclipse.jst.jee.web \
         webtools.sourceediting/bundles/org.eclipse.jst.standard.schemas \
         webtools.jsf.docs/plugins/org.eclipse.jst.jsf.doc.user
do
    if [[ -d ${p}/target ]]; then
        install -p ${p}/target/*-SNAPSHOT.jar \
            %{buildroot}%{install_loc}/webtools-javaee/eclipse/plugins
    fi
done

# JSF features
for f in webtools.jsf/jsf/features/org.eclipse.jsf.feature \
         webtools.jsf/jsf/features/org.eclipse.jst.webpageeditor.feature \
         webtools.jsf/jsf/features/org.eclipse.jst.jsf.apache.trinidad.tagsupport.feature
do
    _feature=$(echo ${f} | sed -e "s|.*/org|org|g")
    mkdir %{buildroot}%{install_loc}/webtools-jsf/eclipse/features/${_feature}
    unzip -q -o -d %{buildroot}%{install_loc}/webtools-jsf/eclipse/features/${_feature} \
        ${f}/target/*-SNAPSHOT.jar
done

# JSF plugins
for p in webtools.jsf/jsf/plugins/org.eclipse.jst.jsf.common \
         webtools.jsf/jsf/plugins/org.eclipse.jst.jsf.common.runtime \
         webtools.jsf/jsf/plugins/org.eclipse.jst.jsf.common.ui \
         webtools.jsf/jsf/plugins/org.eclipse.jst.jsf.core \
         webtools.jsf/jsf/plugins/org.eclipse.jst.jsf.facelet.core \
         webtools.jsf/jsf/plugins/org.eclipse.jst.jsf.facelet.ui \
         webtools.jsf/jsf/plugins/org.eclipse.jst.jsf.facesconfig \
         webtools.jsf/jsf/plugins/org.eclipse.jst.jsf.facesconfig.ui \
         webtools.jsf/jsf/plugins/org.eclipse.jst.jsf.ui \
         webtools.jsf/jsf/plugins/org.eclipse.jst.jsf.standard.tagsupport \
         webtools.jsf/assembly/plugins/org.eclipse.jsf.branding \
         webtools.jsf/jsf/plugins/org.eclipse.jst.jsf.apache.trinidad.tagsupport \
         webtools.jsf/jsf/plugins/org.eclipse.jst.pagedesigner \
         webtools.jsf/jsf/plugins/org.eclipse.jst.pagedesigner.jsf.ui \
         webtools.jsf/jsf/plugins/org.eclipse.jst.pagedesigner.jsp.core
do
    if [[ -d ${p}/target ]]; then
        install -p ${p}/target/*-SNAPSHOT.jar \
            %{buildroot}%{install_loc}/webtools-jsf/eclipse/plugins
    fi
done

# Dali features
for f in webtools.dali/common/features/org.eclipse.jpt.common.eclipselink.feature \
         webtools.dali/common/features/org.eclipse.jpt.common.feature \
         webtools.dali/jaxb/features/org.eclipse.jpt.jaxb.feature \
         webtools.dali/jpa/features/org.eclipse.jpt.jpa.feature
do
    _feature=$(echo ${f} | sed -e "s|.*/org|org|g")
    mkdir %{buildroot}%{install_loc}/webtools-dali/eclipse/features/${_feature}
    unzip -q -o -d %{buildroot}%{install_loc}/webtools-dali/eclipse/features/${_feature} \
        ${f}/target/*-SNAPSHOT.jar
done

# Dali plugins
for p in webtools.dali/common/plugins/org.eclipse.jpt.common.eclipselink.core \
webtools.dali/common/plugins/org.eclipse.jpt.common.eclipselink.branding \
webtools.dali/common/plugins/org.eclipse.jpt.common.utility \
webtools.dali/common/plugins/org.eclipse.jpt.common.core \
webtools.dali/common/plugins/org.eclipse.jpt.common.ui \
webtools.dali/common/plugins/org.eclipse.jpt.common.branding \
webtools.dali/jaxb/plugins/org.eclipse.jpt.jaxb.core \
webtools.dali/jaxb/plugins/org.eclipse.jpt.jaxb.core.schemagen \
webtools.dali/jaxb/plugins/org.eclipse.jpt.jaxb.ui \
webtools.dali/jaxb/plugins/org.eclipse.jpt.jaxb.branding \
webtools.dali/jpa/plugins/org.eclipse.jpt.jpa.annotate \
webtools.dali/jpa/plugins/org.eclipse.jpt.jpa.core \
webtools.dali/jpa/plugins/org.eclipse.jpt.jpa.db \
webtools.dali/jpa/plugins/org.eclipse.jpt.jpa.db.ui \
webtools.dali/jpa/plugins/org.eclipse.jpt.jpa.gen \
webtools.dali/jpa/plugins/org.eclipse.jpt.jpa.ui \
webtools.dali/jpa/plugins/org.eclipse.jpt.doc.user \
webtools.dali/jpa/plugins/org.eclipse.jpt.jpa.branding \
webtools.dali/jpa/plugins/org.eclipse.persistence.jpa.jpql
do
    if [[ -d ${p}/target ]]; then
        install -p ${p}/target/*-SNAPSHOT.jar \
            %{buildroot}%{install_loc}/webtools-dali/eclipse/plugins
    fi
done

build-jar-repository -p -s %{buildroot}%{install_loc}/webtools-dali/eclipse/plugins \
    jdom apache-commons-lang apache-commons-collections velocity

%files common-core
%{install_loc}/webtools-common-core
%doc webtools.common/features/org.eclipse.jst.common_core.feature.patch/epl-v10.html

%files servertools-core
%{install_loc}/webtools-servertools-core

%files common
%{install_loc}/webtools-common

%files servertools
%{install_loc}/webtools-servertools

%files sourceediting
%{install_loc}/webtools-sourceediting

%files webservices
%{install_loc}/webtools-webservices

%files javaee
%{install_loc}/webtools-javaee

%files jsf
%{install_loc}/webtools-jsf

%files dali
%{install_loc}/webtools-dali

%changelog
* Sun Sep 13 2015 Gerard Ryan <gerard@ryan.lt> - 3.7.0-1
- Update to latest upstream release tag R3_7_0 for Mars

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.6.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Mar 02 2015 Gerard Ryan <gerard@ryan.lt> - 3.6.3-2
- Update to latest upstream release tag R3_6_3

* Sat Jan 24 2015 Gerard Ryan <gerard@ryan.lt> - 3.6.2-1
- Update to latest upstream release tag R3_6_2

* Thu Dec 11 2014 Alexander Kurtakov <akurtako@redhat.com> 3.6.1-3
- Remove unneeded BR on feclipse-maven-plugin.

* Tue Nov 18 2014 Alexander Kurtakov <akurtako@redhat.com> 3.6.1-2
- Fix typo in webtools-servertools installation.

* Fri Sep 26 2014 Gerard Ryan <gerard@ryan.lt> - 3.6.1-1
- Update to latest upstream release tag R3_6_1

* Fri Aug 22 2014 Mat Booth <mat.booth@redhat.com> - 3.6.0-7
- Prefix qualifier to ensure it is lexographically greater than the
  upstream's update site (prevents unnecessary updates)
- Make use of build-jar-repository and build-classpath utils

* Tue Aug 12 2014 Gerard Ryan <gerard@ryan.lt> - 3.6.0-6
- Use forceContextQualifier instead of git

* Sat Jul 19 2014 Gerard Ryan <gerard@ryan.lt> - 3.6.0-5
- Add features from webtools.webservices.jaxws

* Sun Jul 06 2014 Gerard Ryan <gerard@ryan.lt> - 3.6.0-4
- Add missing Obsoletes for old sdk packages

* Thu Jul 03 2014 Gerard Ryan <gerard@ryan.lt> - 3.6.0-3
- Add missing BRs

* Tue Jul 01 2014 Gerard Ryan <gerard@ryan.lt> - 3.6.0-2
- Initial RPM
